Name:           python-django-cte
Version:        2.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Common Table Expressions (CTE) for Django

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/dimagi/django-cte
Source:         %{pypi_source django_cte}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-cte' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-cte
Summary:        %{summary}

%description -n python3-django-cte %_description


%prep
%autosetup -p1 -n django_cte-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-cte -f %{pyproject_files}


%changelog
%autochangelog